/*
 *
 * Fictitious
 *
 */
public class Fictitious 
{
	int nobs;
	int ntops;
	static double payoff[][];

	static void setPayoff(double spayoff[][]) {
		payoff=spayoff;
	}


	Fictitious(int initobs, int initops) {
		this.nobs=initobs;
		this.ntops=initops;
	}


	void update(boolean istop) {
		if(istop) ntops++;
		nobs++;
	}

	double predict() {
		double xt,xn,xb,x,y,z;
		xt=ntops; xn=nobs;
		xb=nobs-ntops;
		x = xt/xn;
		y = xb/xn;
		xt=x*payoff[0][0]+y*payoff[0][1];
		xb=x*payoff[1][0]+y*payoff[1][1];
		z=4.0;
		z=Math.exp(z*xt)/(Math.exp(z*xt)+Math.exp(z*xb));
		return z;
	}

}

